# cFalconDevice Class Reference
[Devices]

cFalconDevice describes an interface to the Falcon haptic device from Novint Technlogies. More...

`#include <CFalconDevice.h>`

Inheritance diagram for cFalconDevice:

[legend]

List of all members.

## Public Member Functions
| cFalconDevice (unsigned int a_deviceNumber=0)
| Constructor of cFalconDevice.
virtual | ~cFalconDevice ()
| Destructor of cFalconDevice.
int | open ()
| Open connection to haptic device (0 indicates success).
int | close ()
| Close connection to haptic device (0 indicates success).
int | initialize (const bool a_resetEncoders=false)
| Initialize or calibrate haptic device (0 indicates success).
unsigned int | getNumDevices ()
| Returns the number of devices available from this class of device.
int | getPosition (cVector3d &a_position)
| Read the position of the device. Units are meters [m].
int | setForce (cVector3d &a_force)
| Send a force [N] to the haptic device.
int | getUserSwitch (int a_switchIndex, bool &a_status)
| read the status of the user switch [true = ON / false = OFF].

## Detailed Description

cFalconDevice describes an interface to the Falcon haptic device from Novint Technlogies.

## Member Function Documentation

int cFalconDevice::close | ( |  | ) | `[virtual]`

Close connection to haptic device (0 indicates success).

Close connection to Falcon haptic device.

Reimplemented from cGenericHapticDevice.

unsigned int cFalconDevice::getNumDevices | ( |  | ) | `[virtual]`

Returns the number of devices available from this class of device.

Returns the number of devices available from this class of device.

Returns:
  Returns the result

Reimplemented from cGenericDevice.

int cFalconDevice::getPosition | ( | cVector3d & | a_position | ) | `[virtual]`

Read the position of the device. Units are meters [m].

Read the position of the device. Units are meters [m].

Parameters:

  | a_position | Return value.

Returns:
  Return 0 if no error occurred.

Reimplemented from cGenericHapticDevice.

int cFalconDevice::getUserSwitch | ( | int | a_switchIndex,
|  | bool & | a_status |
| ) |  |  | `[virtual]`

read the status of the user switch [true = ON / false = OFF].

Read the status of the user switch [1 = ON / 0 = OFF].

Parameters:

  | a_switchIndex | index number of the switch.
  | a_status | result value from reading the selected input switch.

Returns:
  Return 0 if no error occurred.

Reimplemented from cGenericHapticDevice.

int cFalconDevice::initialize | ( | const bool | a_resetEncoders = `false` | ) | `[virtual]`

Initialize or calibrate haptic device (0 indicates success).

Calibrate Falcon haptic device.

This function does nothing right now; the a_resetEncoders parameter is ignored.

Parameters:

  | a_resetEncoders | Ignored; exists for forward compatibility.

Returns:
  Always 0

Reimplemented from cGenericHapticDevice.

int cFalconDevice::open | ( |  | ) | `[virtual]`

Open connection to haptic device (0 indicates success).

Open connection to Falcon haptic device.

Reimplemented from cGenericHapticDevice.

int cFalconDevice::setForce | ( | cVector3d & | a_force | ) | `[virtual]`

Send a force [N] to the haptic device.

Send a force [N] to the Falcon haptic device.

Parameters:

  | a_force | Force command to be applied to device.

Returns:
  Return 0 if no error occurred.

Reimplemented from cGenericHapticDevice.

The documentation for this class was generated from the following files:

- D:/CHAI3D/build-2-0-0/2.0.0/win32/src/devices/CFalconDevice.h
- D:/CHAI3D/build-2-0-0/2.0.0/win32/src/devices/CFalconDevice.cpp

CHAI3D 2.0.0 documentation
Please address any questions to support@chai3d.org
(C) 2003-2009 - CHAI 3D
All Rights Reserved.